AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AuthenticatorComponent

### Implements

- any
- any

## Index

### Constructors

- constructor

### Properties

- componentHost
- framework
- hide
- signUpConfig

### Methods

- loadComponent
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new AuthenticatorComponent(componentFactoryResolver: ComponentFactoryResolver): AuthenticatorComponent

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:43

  #### Parameters

  - ##### componentFactoryResolver: ComponentFactoryResolver

  #### Returns AuthenticatorComponent

## Properties

### componentHost

componentHost: DynamicComponentDirective

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:43

### framework

framework: string

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:40

### hide

hide: string[] = []

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:41

### signUpConfig

signUpConfig: any

- Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:42

## Methods

### loadComponent

- loadComponent(): void

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:53

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:51

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/authenticator/authenticator.factory.ts:47

  #### Returns void